
From: Jody McIntyre <scjody@steamballoon.com>

drivers/ieee1394 feature removal notices: amdtp, cmp, legacy rawiso
interface

Signed-off-by: Jody McIntyre <scjody@steamballoon.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/feature-removal-schedule.txt |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+)

diff -puN Documentation/feature-removal-schedule.txt~ieee1394-feature-removal-notices Documentation/feature-removal-schedule.txt
--- 25/Documentation/feature-removal-schedule.txt~ieee1394-feature-removal-notices	2005-05-15 15:38:09.000000000 -0700
+++ 25-akpm/Documentation/feature-removal-schedule.txt	2005-05-15 15:38:34.000000000 -0700
@@ -65,3 +65,22 @@ Why:	Match the other drivers' name for t
 	will be available until removal of old names.
 Who:	Grant Coady <gcoady@gmail.com>
 
+---------------------------
+
+What:	IEEE1394 Audio and Music Data Transmission Protocol driver,
+	Connection Management Procedures driver
+When:	November 2005
+Files:	drivers/ieee1394/{amdtp,cmp}*
+Why:	These are incomplete, have never worked, and are better implemented
+	in userland via raw1394 (see http://freebob.sourceforge.net/ for
+	example.)
+Who:	Jody McIntyre <scjody@steamballoon.com>
+
+---------------------------
+
+What:	raw1394: requests of type RAW1394_REQ_ISO_SEND, RAW1394_REQ_ISO_LISTEN
+When:	November 2005
+Why:	Deprecated in favour of the new ioctl-based rawiso interface, which is
+	more efficient.  You should really be using libraw1394 for raw1394
+	access anyway.
+Who:	Jody McIntyre <scjody@steamballoon.com>
_
